﻿<#
.SYNOPSIS    
Script that returns round robin informations

.PARAMETER Computername 
The computer that will be queried by this script, local administrative permissions are required to query this information.

.DESCRIPTION  
This script uses Get Parameters and PNPUtil-Parameters to Gather Hardware informations.
Furthermore the script will gather information about performance index.

.NOTES
Name: System-Request Skript
Author: Frank Kuhn
DateCreated: 2018-06-20 
DateUpdated: TBD 
Version: 1.0.0.0

.DISCLAIMER
The sample scripts are provided in their present condition and without any warranty.
All risks arising from the use or execution of the script and documentation are subject
completely your responsibility. In no case the author, or others at the creation, production or
Provision of the script involved parties for any damage (including, without limitation, any loss 
or damage caused by business loss, loss of business, loss of business information or other 
financial losses) resulting from the use or unsuitability to use the sample scripts or documentation.
#>


Write-Host *************************************
Write-Host *Powershell - Hardware - Gathering* 
Write-Host *Funky Tools for Your daily Work*
Write-Host *************************************
Write-Host *Version 1.0.0.0
Write-Host *************************************
Write-Host *Skript erstellt von Frank Kuhn*
Write-Host *************************************
Write-Host *Die Benutzung ist auf eigene Gefahr*
Write-Host *************************************

Write-Host Powershell Elevation
Set-ExecutionPolicy unrestricted -Force

Write-Host Wechsle das Verzeichnis
cd C:\

Write-Host Erstelle Zeitstempel
([datetime]::now).tostring("dd.MM.yyyy HH:mm:ss.fff") >C:\LCMHW_Deployment_Universal\Ausleitung\Hardwaredaten.txt
([datetime]::now).tostring("dd.MM.yyyy HH:mm:ss.fff") >C:\LCMHW_Deployment_Universal\Ausleitung\Treiber.txt

Write-Host Hardwaredaten werden erfasst

Write-Host Erfasse UUID
get-wmiobject Win32_ComputerSystemProduct  | Select-Object -ExpandProperty UUID >>C:\LCMHW_Deployment_Universal\Ausleitung\Hardwaredaten.txt

Write-Host Erfasse Boardinformationen
gwmi win32_baseboard | fl * >>C:\LCMHW_Deployment_Universal\Ausleitung\Hardwaredaten.txt

Write-Host Erfasse Biosversion
Get-WmiObject Win32_BIOS >>C:\LCMHW_Deployment_Universal\Ausleitung\Hardwaredaten.txt

Write-Host Erfasse Chipsetinformationen
wmic path win32_pnpentity where "caption like '%Chipset%'" get caption >>C:\LCMHW_Deployment_Universal\Ausleitung\Hardwaredaten.txt

Write-Host Erfasse TPM-Information
Get-CimInstance -Namespace ROOT/CIMV2/Security/MicrosoftTpm -ClassName Win32_Tpm >>C:\LCMHW_Deployment_Universal\Ausleitung\Hardwaredaten.txt

Write-Host Erfasse Grafikchip
Get-Wmiobject Win32_VideoController >>C:\LCMHW_Deployment_Universal\Ausleitung\Hardwaredaten.txt

Write-Host Erfasse WLAN
netsh wlan show drivers >>C:\LCMHW_Deployment_Universal\Ausleitung\Hardwaredaten.txt

Write-Host Erfasse Speicherinformationen
Get-WmiObject -Class Win32_OperatingSystem -Namespace root/cimv2 -ComputerName . | Format-List -Property TotalVirtualMemorySize,TotalVisibleMemorySize,FreePhysicalMemory,FreeVirtualMemory,FreeSpaceInPagingFiles >>C:\LCMHW_Deployment_Universal\Ausleitung\Hardwaredaten.txt

Write-Host Erfasse Netzwerkadapter
Get-NetAdapter -Physical | Format-List >>C:\LCMHW_Deployment_Universal\Ausleitung\Hardwaredaten.txt

Write-Host Erfasse Disk-Informationen
Get-WmiObject -class win32_DiskDrive >>C:\LCMHW_Deployment_Universal\Ausleitung\Hardwaredaten.txt

Write-Host Erfasse CPU-Informationen
Get-WmiObject -class win32_Processor >>C:\LCMHW_Deployment_Universal\Ausleitung\Hardwaredaten.txt

Write-Host Erfasse OS-Info
Get-WmiObject Win32_OperatingSystem >>C:\LCMHW_Deployment_Universal\Ausleitung\Hardwaredaten.txt

Write-Host Erfasse Installierte Treiber
driverquery | more | ft * >>C:\LCMHW_Deployment_Universal\Ausleitung\Treiber.txt

Write-Host Erfasse Installierte OEM-Treiber
pnputil -e >>C:\LCMHW_Deployment_Universal\Ausleitung\Treiber.txt

Write-Host Erfasse NetInformationen
Get-PnpDevice -class 'Net' >>C:\LCMHW_Deployment_Universal\Ausleitung\Hardwaredaten.txt

Write-Host Erfasse AusioInformationen
Get-PnpDevice -class 'AudioEndpoint' >>C:\LCMHW_Deployment_Universal\Ausleitung\Hardwaredaten.txt

Write-Host Erfasse DiskdriveInformationen
Get-PnpDevice -class 'DiskDrive' >>C:\LCMHW_Deployment_Universal\Ausleitung\Hardwaredaten.txt

Write-Host Erfasse MediaInformationen
Get-PnpDevice -class 'Media' >>C:\LCMHW_Deployment_Universal\Ausleitung\Hardwaredaten.txt

Write-Host Erfasse DisplayInformationen
Get-PnpDevice -class 'Monitor' >>C:\LCMHW_Deployment_Universal\Ausleitung\Hardwaredaten.txt

Write-Host Leistungsindex wird berechnet
winsat formal

Write-Host Der Leistungsindex wird nun im InternetExplorer angezeigt
#gci "C:\Windows\Performance\WinSAT\DataStore\*.xml" | sort LastWriteTime -Desc | select -First 1 | %{start iexplore.exe -Argumentlist "`"$($_.Fullname)`""}
gci "C:\Windows\Performance\WinSAT\DataStore\*.xml" | sort LastWriteTime -Desc | select -First 1 | %{copy "$($_.Fullname)" C:\LCMHW_Deployment_Universal\Ausleitung}

